Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1164481

Summary: Review Request: nodejs-utilities - A classic collection of JavaScript utilities
Product: [Fedora] Fedora Reporter: Tom Hughes <tom>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: nodejs-utilities-1.0.4-1.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-12-01 19:03:51 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1164483, 1164484    

Description Tom Hughes 2014-11-15 17:26:30 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-utilities.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-utilities-1.0.4-1.fc20.src.rpm
Fedora Account System Username: tomh

Description:
A classic collection of JavaScript utilities.

Comment 1 Parag AN(पराग) 2014-11-19 08:56:17 UTC
Review:

+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-utilities.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ Source0 verified with upstream as (sha256sum)
srpm tarball: 8e892ae0e5b1b5712f9d8956de28a4241f11d46d2ba82fa23755ad9ac48f4a4a
upstream tarball: 8e892ae0e5b1b5712f9d8956de28a4241f11d46d2ba82fa23755ad9ac48f4a4a

+ License is "ASL 2.0" and included in its own text file.

+ follows nodejs packaging guidelines.

Suggestions:
1) Not necessary here but good to use cp as "cp -p" to preserve timestamps

APPROVED.

Comment 2 Tom Hughes 2014-11-19 09:02:50 UTC
New Package SCM Request
=======================
Package Name: nodejs-utilities
Short Description: A classic collection of JavaScript utilities
Upstream URL: https://github.com/mde/utilities
Owners: tomh
Branches: f20 f21
InitialCC: jamielinux

Comment 3 Gwyn Ciesla 2014-11-19 11:33:31 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-11-19 12:19:28 UTC
nodejs-utilities-1.0.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-utilities-1.0.4-1.fc20

Comment 5 Fedora Update System 2014-11-19 12:19:31 UTC
nodejs-utilities-1.0.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-utilities-1.0.4-1.fc21

Comment 6 Fedora Update System 2014-11-20 09:06:05 UTC
nodejs-utilities-1.0.4-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 7 Fedora Update System 2014-12-01 19:03:51 UTC
nodejs-utilities-1.0.4-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-12-06 10:13:43 UTC
nodejs-utilities-1.0.4-1.fc21 has been pushed to the Fedora 21 stable repository.